complexType "PartyTradeInformation"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 24 elements
Defined: | globally in fpml-doc-5-3.xsd; see XML source
Includes: | definitions of 22 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | partyReference, accountReference?, relatedParty*, reportingRole?, unit*, relatedBusinessUnit*, relatedPerson*, isAccountingHedge?, category*, trader*, executionDateTime?, timestamps?, cleared?, collateralized?, endUserException?, boardOfDirectorsApproval?, nonStandardTerms?, offMarketPrice?, largeSizeTrade?, executionType?, executionVenueType?, verificationMethod?, confirmationMethod?, counterpartyTypes?
</...>

Content Model Elements (24):

  accountReference (defined in PartyAndAccountReferences.model group),
  boardOfDirectorsApproval,
  category (defined in PartyTradeInformation complexType),
  cleared (defined in PartyTradeInformation complexType),
  collateralized,
  confirmationMethod,
  counterpartyTypes,
  endUserException,
  executionDateTime (defined in PartyTradeInformation complexType),
  executionType,
  executionVenueType,
  isAccountingHedge,
  largeSizeTrade,
  nonStandardTerms,
  offMarketPrice,
  partyReference (defined in PartyAndAccountReferences.model group),
  relatedBusinessUnit,
  relatedParty (defined in PartyTradeInformation complexType),
  relatedPerson,
  reportingRole,
  timestamps,
  trader,
  unit (defined in PartyTradeInformation complexType),
  verificationMethod

All Direct / Indirect Based Elements (2):

  partyTradeInformation (in tradeHeader), | partyTradeInformation (in tradeReferenceInformation)

Known Usage Locations

- As direct type of elements (2):

  partyTradeInformation (in tradeHeader), | partyTradeInformation (in tradeReferenceInformation)

Annotation
A type defining additional information that may be recorded against a trade.
XML Source (w/o annotations (24); see within schema source)

<xsd:complexType name="PartyTradeInformation"> <xsd:sequence> <xsd:group ref="PartyAndAccountReferences.model"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="relatedParty" type="RelatedParty"/> <!-- RPTWG 2009-09-04 begin--> <xsd:element minOccurs="0" name="reportingRole" type="ReportingRole"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="unit" type="Unit"/> <!-- BAL 2011-10 - work on modeling people and org units --> <xsd:element maxOccurs="unbounded" minOccurs="0" name="relatedBusinessUnit" type="RelatedBusinessUnit"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="relatedPerson" type="RelatedPerson"/> <xsd:element minOccurs="0" name="isAccountingHedge" type="xsd:boolean"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="category" type="TradeCategory"/> <!-- RPTWG 2009-09-04 end --> <xsd:element maxOccurs="unbounded" minOccurs="0" name="trader" type="Trader"/> <xsd:element minOccurs="0" name="executionDateTime" type="ExecutionDateTime"/> <xsd:element minOccurs="0" name="timestamps" type="TradeProcessingTimestamps"/> <!-- added BAL 2011-02-20 to address CFTC reporting requirements --> <xsd:element minOccurs="0" name="cleared" type="xsd:boolean"/> <!-- added BAL 2011-10-18 for DTCC gap analysis --> <xsd:element minOccurs="0" name="collateralized" type="xsd:boolean"/> <!-- end BAL 2011-10-18 additions for DTCC gap analysis --> <xsd:element minOccurs="0" name="endUserException" type="xsd:boolean"/> <!-- added BAL 2011-10-18 for DTCC gap analysis --> <xsd:element minOccurs="0" name="boardOfDirectorsApproval" type="xsd:boolean"/> <!-- end BAL 2011-10-18 additions for DTCC gap analysis --> <xsd:element minOccurs="0" name="nonStandardTerms" type="xsd:boolean"/> <xsd:element minOccurs="0" name="offMarketPrice" type="xsd:boolean"/> <xsd:element minOccurs="0" name="largeSizeTrade" type="xsd:boolean"/> <xsd:element minOccurs="0" name="executionType" type="ExecutionType"/> <xsd:element minOccurs="0" name="executionVenueType" type="ExecutionVenueType"/> <!-- added BAL 2011-10-18 for DTCC gap analysis --> <xsd:element minOccurs="0" name="verificationMethod" type="ConfirmationMethod"/> <!-- end BAL 2011-10-18 additions for DTCC gap analysis --> <xsd:element minOccurs="0" name="confirmationMethod" type="ConfirmationMethod"/> <xsd:element minOccurs="0" name="counterpartyTypes" type="CounterpartyTypes"/> <!-- <xsd:element name="regulator" type="Regulator" minOccurs="0" maxOccurs="unbounded"> <xsd:annotation> <xsd:documentation xml:lang="en">Used to identify the regulator(s) responsible for monitoring this transaction.</xsd:documentation> <xsd:appinfo> <view:override view="recordkeeping" minOccurs="1"/> <view:override view="transparency" minOccurs="1"/> </xsd:appinfo> </xsd:annotation> </xsd:element> --> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 22/24)
boardOfDirectorsApproval

  Type: | xsd:boolean, predefined, simple content

  If the exempted counterparties are registered with the SEC did their Board of Directors (or alternative governance body for non-corporate end users) approve the exemption from clearing?. This field is provisional and may be removed from a subsequent draft.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="boardOfDirectorsApproval" type="xsd:boolean"/>

category

  Type: | TradeCategory, simple content

  Used to categorize trades into user-defined categories, such as house trades vs. customer trades.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="category" type="TradeCategory"/>

cleared

  Type: | xsd:boolean, predefined, simple content

  Specifies whether the trade is anticipated to be cleared via a derivative clearing organization
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="cleared" type="xsd:boolean"/>

collateralized

  Type: | xsd:boolean, predefined, simple content

  Specifies whether the trade is included under a collateral agreement. NOTE: This field is provisional, and may subsequently be replaced, for example by the trade/documentation/creditSupportAgreement element.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="collateralized" type="xsd:boolean"/>

confirmationMethod

  Type: | ConfirmationMethod, simple content

  Used to describe how the trade was confirmed, e.g via a confirmation facility, via private electronic service, or via written documentation. This affects the process flow for confirmation messages. This field is provisional pending detailed confirmation of the data requirements, and may not be included in subsequent working drafts.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="confirmationMethod" type="ConfirmationMethod"/>

counterpartyTypes

  Type: | CounterpartyTypes, simple content

  Used to identify whether this trades involves swaps dealers, major swaps participants, or other types of organizations.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="counterpartyTypes" type="CounterpartyTypes"/>

endUserException

  Type: | xsd:boolean, predefined, simple content

  Specifies whether the trade is not obligated to be cleared via a derivative clearing organization because the "End User Exception" was invoked.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="endUserException" type="xsd:boolean"/>

executionDateTime

  Type: | ExecutionDateTime, simple content

  Trade execution date time provided by a central execution facility.
  Simple Content

  xsd:dateTime

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="executionDateTime" type="ExecutionDateTime"/>

executionType

  Type: | ExecutionType, simple content

  Used to describe how the trade was executed, e.g. via voice or electronically.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="executionType" type="ExecutionType"/>

executionVenueType

  Type: | ExecutionVenueType, simple content

  Used to describe the type of venue where trade was executed, e.g via an execution facility or privately.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="executionVenueType" type="ExecutionVenueType"/>

isAccountingHedge

  Type: | xsd:boolean, predefined, simple content

  Specifies whether the trade used to hedge a risk for accounting purposes for the specified party. (TODO: do we need to distinguish between asset and liability hedges?)
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="isAccountingHedge" type="xsd:boolean"/>

largeSizeTrade

  Type: | xsd:boolean, predefined, simple content

  Specifies whether the sender of this trade considers it to be a large notional trade or block trade for reporting purposes, and thus eligible for delayed public reporting.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="largeSizeTrade" type="xsd:boolean"/>

nonStandardTerms

  Type: | xsd:boolean, predefined, simple content

  Specifies whether the trade contains terms that affect pricing that are not represented by the standard reportable data fields, that is, it indicates a bespoke trade that might otherwise appear from its characteristics to be a standardized trade but is really non-standard. The flag indicates that the price for this trade is not to be construed as being indicative of the market.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="nonStandardTerms" type="xsd:boolean"/>

offMarketPrice

  Type: | xsd:boolean, predefined, simple content

  Indicates that the price does not reflect the current market. For example, in a credit trade where the two counterparties are not of equal credit standing, there is no initial margin and one party pays collateral to the other in the form of an add-on to the price (say a price that would otherwise be 100 at the market is struck at 105 to include the collateral, resulting in a very off-market looking price.)
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="offMarketPrice" type="xsd:boolean"/>

relatedBusinessUnit

  Type: | RelatedBusinessUnit, complex content

  Provides information about a unit/division/desk etc. that executed or supports this trade
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="relatedBusinessUnit" type="RelatedBusinessUnit"/>

relatedParty

  Type: | RelatedParty, complex content

  Identifies a related party performing a role within the transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="relatedParty" type="RelatedParty"/>

relatedPerson

  Type: | RelatedPerson, complex content

  Provides information about a person that executed or supports this trade
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="relatedPerson" type="RelatedPerson"/>

reportingRole

  Type: | ReportingRole, simple content

  Identifies the role of this party in reporting this trade (e.g. originator, counterparty).
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="reportingRole" type="ReportingRole"/>

timestamps

  Type: | TradeProcessingTimestamps, complex content

  Allows timing information about a trade to be recorded.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="timestamps" type="TradeProcessingTimestamps"/>

trader

  Type: | Trader, simple content

  Identifies the person or persons who assumed the role of trader for this trade.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="trader" type="Trader"/>

unit

  Type: | Unit, simple content

  Identifies the unit/division/desk etc. that executed or supports this trade
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="unit" type="Unit"/>

verificationMethod

  Type: | ConfirmationMethod, simple content

  Used to describe how the trade was or will be verified, e.g via a confirmation facility, via private electronic service, or via written documentation. This affect the timing of real-time reporting requirements. This field is provisional pending detailed confirmation of the data requirements, and may not be included in subsequent working drafts.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="verificationMethod" type="ConfirmationMethod"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.